const Migrate = require("migrate-js");
const migrate = new Migrate();

await migrate.create("add-users");
await migrate.create("add-blog-posts");

let pending = await migrate.pending();
console.log("pending", pending.migrations.map((m) => m.title));

migrate.on("migration", (migration, direction) => {
  console.log(`${direction}: ${migration.title}`);
});

await migrate.up();

pending = await migrate.pending();
console.log("pending", pending.migrations.map((m) => m.title));

let executed = await migrate.executed();
console.log("executed", executed.migrations.map((m) => m.title));

await migrate.down();

executed = await migrate.executed();
console.log("executed", executed.migrations.map((m) => m.title));

pending = await migrate.pending();
console.log("pending", pending.migrations.map((m) => m.title));;
